Bug 1712629 (CVE-2019-9820) - CVE-2019-9820 Mozilla: Use-after-free of ChromeEventHandler by DocShell
Summary: CVE-2019-9820 Mozilla: Use-after-free of ChromeEventHandler by DocShell
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9820
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20190522,repo...
Depends On: 1714081 1714083 1714084 1714085 1709218 1709219 1709220 1709221 1709222 1714082
Blocks: 1709216 1714079
TreeView+ depends on / blocked
 
Reported: 2019-05-22 01:47 UTC by Doran Moppert
Modified: 2019-06-10 10:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:56:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1265 None None None 2019-05-23 15:32:46 UTC
Red Hat Product Errata RHSA-2019:1267 None None None 2019-05-23 15:48:32 UTC
Red Hat Product Errata RHSA-2019:1269 None None None 2019-05-23 16:07:41 UTC
Red Hat Product Errata RHSA-2019:1308 None None None 2019-06-03 21:14:56 UTC
Red Hat Product Errata RHSA-2019:1309 None None None 2019-06-03 21:15:10 UTC
Red Hat Product Errata RHSA-2019:1310 None None None 2019-06-03 21:15:27 UTC

Description Doran Moppert 2019-05-22 01:47:05 UTC
A use-after-free vulnerability can occur in the chrome event handler when it is freed while still in use. This results in a potentially exploitable crash. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-14/#CVE-2019-9820

Comment 1 Doran Moppert 2019-05-22 01:47:07 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 2 errata-xmlrpc 2019-05-23 15:32:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1265 https://access.redhat.com/errata/RHSA-2019:1265

Comment 3 errata-xmlrpc 2019-05-23 15:48:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1267 https://access.redhat.com/errata/RHSA-2019:1267

Comment 4 errata-xmlrpc 2019-05-23 16:07:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1269 https://access.redhat.com/errata/RHSA-2019:1269

Comment 5 Doran Moppert 2019-05-29 06:24:42 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but it is potentially a risk in browser or browser-like contexts.

Comment 6 errata-xmlrpc 2019-06-03 21:14:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 7 errata-xmlrpc 2019-06-03 21:15:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1309 https://access.redhat.com/errata/RHSA-2019:1309

Comment 8 errata-xmlrpc 2019-06-03 21:15:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1310 https://access.redhat.com/errata/RHSA-2019:1310


Note You need to log in before you can comment on or make changes to this bug.